<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:EDXL="urn:oasis:names:tc:emergency:EDXL:DE:1.0" 
	xmlns:SitRep="urn:oasis:names:tc:emergency:EDXL:SitRep:1.0" 
	xmlns:altova="http://www.altova.com" 
	xmlns:altovaext="http://www.altova.com/xslt-extensions" 
	xmlns:clitype="clitype" 
	xmlns:ct="urn:oasis:names:tc:emergency:edxl:ct:1.0" 
	xmlns:ciq="urn:oasis:names:tc:emergency:edxl:ciq:1.0:xnl" 
	xmlns:fn="http://www.w3.org/2005/xpath-functions" 
	xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
	xmlns:ix="http://www.xbrl.org/2008/inlineXBRL" 
	xmlns:gml="http://www.opengis.net/gml"
	xmlns:java="java" xmlns:link="http://www.xbrl.org/2003/linkbase"
	xmlns:sps="http://www.altova.com/StyleVision/user-xpath-functions" 
	xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xnl="urn:oasis:names:tc:ciq:xnl:3" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="EDXL SitRep altova altovaext clitype ct fn iso4217 ix java link sps xbrldi xbrli xlink xnl xs xsd xsi">
	<xsl:output version="4.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
	<xsl:param name="SV_OutputFormat" select="'HTML'"/>
	<xsl:variable name="XML" select="/"/>
	<xsl:variable name="altova:nPxPerIn" select="96"/>
	<xsl:key name="agencies" use="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:ResourceTotal" match="SitRep:Resource/SitRep:AgencyOrganization" />
	
	<xsl:template match="/">
		<h2 style="text-align:center; ">Incident Status Summary (ICS-209)</h2>
		<body>
			<style type="text/css">
				table { empty-cells: show; }
				
				table.default{
				border-width: 3px;
				border-spacing: 0px;
				border-style: solid;
				border-color: black ;
				border-collapse: collapse;
				background-color: white;
				width: 90%;
				}
				td.black {
				background-color:#FFF;
				border:3px solid black ;
				border-collapse:collapse;
				padding:0px;
				vertical-align:top; 
				margin-top:0; 
				
				
				}
				
				td.black_small {
				border-collapse:collapse;
				background-color:#FFF;
				border: 3px solid black;
				padding:0px;
				vertical-align:top; 
				margin-top:0; 
				
				
				}
				table.default_small {
				border-width: 1px;
				border-spacing: 0px;
				border-style: solid;
				border-color: black;
				border-collapse: collapse;
				background-color: white;
				width: 100%;
				
				
				}
				
				
				td.dotted_small {
				border-collapse:collapse;
				background-color:#FFF;
				border: 1px dotted black;
				padding:2px;
				vertical-align:top; 
				margin-top:0; 
				
				
				}
				
				td.invis {
				border-collapse:collapse;
				background-color:#FFF;
				border: 0px solid black;
				padding:0px;
				vertical-align:top; 
				margin-top:0; 
				
				
				td.noBorder { border: 0  }
				
				.verticaltext{
				writing-mode: tb-rl;
				}
				}
			</style>
			<table class="default" align="center" >
				<tr>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
				</tr>
				<!-- Row1 -->
				<tr>
					<td colspan="2.5" class="black"><b>*1: Incident Name</b>
						<br/><xsl:call-template name="IncidentName"/></td>
					<td colspan="5" class="black"><b> 2: Incident Number:</b> 
						<br/><xsl:call-template name="IncidentID"/></td>
				</tr>
				
				<!-- Row2 -->
				<tr>
					<td colspan="1.25" class="black">
						<table>
							<tr>
								<td colspan="2"><b>*3: Report Version: </b> 
									(check one box on left):<br/></td>
							</tr>
							<tr>
								<td colspan="1">
									<table>
										<tbody>
											<tr>
												<td><input type="checkbox"/><br/></td>
												<td>Initial </td>
											</tr>
											<tr>
												<td><input type="checkbox"/><br/></td>
												<td>Update </td>
											</tr>
											<tr>
												<td><input type="checkbox"/><br/></td>
												<td>Final </td>
											</tr>
										</tbody>
									</table>
								</td>
								<td colspan="1" valign="top"> <table>
									<tbody>
										<tr>
											<th>Rpt#  (if used):</th>
										</tr>
										<tr>
											<td> </td>
										</tr>
									</tbody>
								</table></td>
							</tr>
						</table>
					</td>
					
					<td colspan="1.25" class="black"><b>*4: Incident Commander(s)  &#38; Agency or Organization: </b><br/> </td>
					<td colspan="1.25" class="black"><b>5: Incident Management Organization: <br/> </b></td>
					<td colspan="5" class="black"><b>6: Incident Start Date/Time</b>
						<br/><xsl:call-template name="IncidentStartDate"/>
						<br/><br/><xsl:call-template name="IncidentStartTime"/>
						<br/><br/><xsl:call-template name="IncidentTimeZone"/></td>
				</tr>
				
				<!-- Row 3-->
				<tr>
					<td width="20%" class="black"><b>7: Current Incident Size or Area Involved</b> (use unit label -- eg., "sq mi," "city block"):
						<br/><xsl:call-template name="IncidentGeographicSize"/></td>
					<td width="10%"  class="black"><b>8. Percent (%) Contained</b><br/>
						<xsl:call-template name="PercentContained"/><br/>
						<b>Completed</b><br/><br/></td>
					<td width="10%"  class="black"><b>*9. Incident Definition:</b>
						<br/><xsl:call-template name="IncidentType"/></td>
					<td width="20%"  class="black"><b>*10. Incident Complexity Level:</b> 
						<br/>    <xsl:call-template name="IncidentComplexity"/></td>
					<td width="20%" class="black"><b>*11. For Time Period:</b>
						<br/>From Date/Time:<xsl:call-template name="FromDateTime"/>
						<br/><br/>To Date/Time: <xsl:call-template name="ToDateTime"/></td>
				</tr>
			</table>
			
			
			
			<!--Approval And Rounting Info-->
			
			<table class="default" align="center">
				
				<tr>
					<th></th><th></th><th></th><th></th><th></th>
					<td colspan="5" align="left" class="head"></td>
				</tr>
				<tr>
					<td colspan="5" class="noBorder"><b><i>Approval &#38; Routing Information </i></b></td>
				</tr>
				<!-- Row 1-->
				<tr>
					<td colspan="3" class="black"><b>*12: Prepared By:</b>
						<br/>Print Name: <xsl:call-template name="PreparedBy"/>
						ICS Position: <xsl:call-template name="PreparerPositionTitle"/>
						<br/>Date/Time Prepared: <xsl:call-template name="PreparedDateTime"/> </td>
					<td colspan="2" class="black"><b>*13: Date/Time Submitted:<br/>Time Zone:</b></td>
				</tr>
				<!-- Row 2-->
				<tr>
					<td colspan="3" class="black"><b>*14: Approved By:</b>
						<br/>Print Name: <xsl:call-template name="ApprovedBy"/>
						ICS Position: <xsl:call-template name="ApproverPositionTitle"/>
						<br/>Date/Time Prepared: <xsl:call-template name="ApprovedDateTime"/> </td>
					<td colspan="2" class="black" height="100"><b>*15: Primary Location, Organization, or Agency Sent To:</b></td>
				</tr>
			</table>
			
			<!--Incident Location Informatoin-->
			<table class="default" align="center">
				<tr>
					<td colspan="3" class="noBorder"><b><i>Incident Location Information</i></b></td>
				</tr>
				
				<!-- 16, 17, 18-->
				<tr>
					<td colspan="1" class="black"><b>*16. State: </b></td>
					<td colspan="1" class="black"><b>*17. County/Parish/Borough:</b></td>
					<td colspan="1" class="black"><b>*18. City: </b></td>
					
					<!-- 19, 20, 21-->
				</tr>
				<tr>
					<td colspan="1" class="black"><b>19. Unit or Other: </b></td>
					<td colspan="1" class="black"><b>*20. Incident Jurisdiction: </b></td>
					<td colspan="1" class="black"><b>21. Incident Location Ownership </b> <br/>(if different than jurisdiction)</td>
				</tr>
				<!-- 22,23,24-->
				<tr>
					<td colspan="1" class="black"><b>22. Longitude </b> (indicate format): <br/><br/><b>Latitude</b> (indicate format): </td>
					<td colspan="1" class="black"><b>23. US National Grid Reference:</b></td>
					<td colspan="1" class="black"><b>24. Legal Description</b> (township, section, range): </td>
				</tr>
				<!-- 25,26-->
				<tr>
					<td colspan="2" class="black"><b>*25. Short Location or Area Description </b>(list all affected areas or a reference point):</td>
					<td colspan="1" class="black"><b>26. UTM Coordinates:</b></td>
				</tr>
				<!--27-->
				<tr>
					<td colspan="3" class="black"><b>27. Note any electronic geospatial data included or attached</b> (indicate data format, content, and collection time information and labels):
					</td>
				</tr>
			</table>
			
			<!--Incident Summary-->
			<table class="default" align="center">
				<tr>
					<td colspan="3" class="noBorder"><b><i>Incident Summary</i></b></td>
				</tr>
				
				
				<tr>
					<td colspan="2" class="black"><font size="4"><b>*28. Significant Events for the Time Period Reported:</b> (summarize significant progress made, evacuations, incident growth, etc.):  </font>
						<br/><br/><xsl:call-template name="SignifcantEvents"/></td>
					
					
				</tr>
				<tr>
					<td colspan="2" class="black"><b>*29 Primary Materials or Hazards Involved </b> (hazardous chemicals, fuel types, infectious agents, radiation, etc): 
						<br/><xsl:call-template name="PrimaryHazards"/></td>
				</tr>
				<tr>
					<td colspan="1" class="black"><b>30. Damage Assesment Information</b> (summarize damage and/or restriction of use or availability to residential or commercial property, natural resources, critical infrastructure and key resources, etc.):
						<br/><br/><xsl:call-template name="DamageAssessmentInformation"/></td>
					<td colspan="1" class="black">		
						<table class="default" >
							<tbody>
								<tr>
									<td class="black_small" colspan="1"><b>A. Structural Summary</b></td>
									<td class="black_small" colspan="1"><b>B. # Threatened (72 hrs) </b></td>
									<td class="black_small" colspan="1"><b>C. # Damaged </b></td>
									<td class="black_small" colspan="1"><b>D. # Destroyed</b></td>
								</tr>
								<tr>
									<td class="black_small" colspan="1"><b>E. Single Residences</b></td>
									<td class="black_small" colspan="1"><xsl:call-template name="ResidenceThreatened"/></td>
									<td class="black_small" colspan="1"><xsl:call-template name="ResidenceDamaged"/></td>
									<td class="black_small" colspan="1"><xsl:call-template name="ResidenceDestroyed"/></td>
								</tr>
								<tr>
									<td class="black_small" colspan="1"><b>F. Nonresidential Commerical Property </b></td>
									<td class="black_small" colspan="1"><xsl:call-template name="CommercialThreatened"/></td>
									<td class="black_small" colspan="1"><xsl:call-template name="CommercialDamaged"/></td>
									<td class="black_small" colspan="1"><xsl:call-template name="CommercialDestroyed"/></td>
								</tr>
								<tr>
									<td class="black_small" colspan="1"><b>Other minor Structures</b></td>
									<td class="black_small"  colspan="1"><xsl:call-template name="OutbuildingThreatened"/></td>
									<td class="black_small"  colspan="1"><xsl:call-template name="OutbuildingDamaged"/></td>
									<td class="black_small" colspan="1"><xsl:call-template name="OutbuildingDestroyed"/></td>
								</tr>
								<tr>
									<td class="black_small" colspan="1">Other</td>
									<td class="black_small" colspan="1"><xsl:call-template name="OtherThreatened"/></td>
									<td class="black_small" colspan="1"><xsl:call-template name="OtherDamaged"/></td>
									<td class="black_small" colspan="1"><xsl:call-template name="OtherDestroyed"/></td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
			</table>
			<!--Additional Incident Decision Support Information-->
			<table class="default" align="center">
				<tr>
					<td colspan="3" class="noBorder"><b><i>Additional Incident Decision Support Information-</i></b></td>
				</tr>
				<tr>
					
					<td colspan="1" class="black">
						<table class="default_small">
							<tr>
								<td colspan="1" class="black_small"> <b>*31. Public Status Summary:</b></td>
								<td colspan="1" class="black_small">A. # This Reporting Period </td>
								<td colspan="1" class="black_small">B. Total #  to Date</td>
							</tr>
							<tr>
								<td colspan="3" class="dotted_small"><i>C. Indicate Number of Civilians (Public Below):</i></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">D.Fatalities</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">Fatalities</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">Fatalities</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">E. With Injuries/Illness</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">WithInjuryOrIllness</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">WithInjuryOrIllness</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">F. Trapped/In Need of Rescue</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">TrappedOrInNeedOfRescue</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">TrappedOrInNeedOfRescue</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">G. Missing <i>(note if estimated)</i></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">Missing</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">Missing</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">H. Evacuated <i>(note if estimated)</i></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">Evacuated</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">Evacuated</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">I. Sheltering in Place <i>(note if est)</i></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">ShelteringInPlace</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">ShelteringInPlace</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">J. In Temporary Shelters <i>(note if est.)</i></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">InTemporaryShelters</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">InTemporaryShelters</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">K. Have Recieved Mass immunizations</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">ReceivedMassImmunizations</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">ReceivedMassImmunizations</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">L. Require Immunizations <i>(note if est.)</i></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">RequireMassImmunizations</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">RequireMassImmunizations</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">M. In Quarantine</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCount"> <xsl:with-param name="Value">InQuarantine</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderSummaryCountToDate"> <xsl:with-param name="Value">InQuarantine</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small"><i> N. Total # Civilians (Public) Affected: </i></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderCountThisReportingPeriod"/></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="NonResponderCountTotal"/></td>
							</tr>
						</table>
					</td>
					
					<td colspan="1" class="black">
						<table class="default_small">
							<tr>
								<td colspan="1" class="black_small"> <font size="4"><b>*32. Responder Status Summary:</b></font></td>
								<td colspan="1" class="black_small">A. # This Reporting Period </td>
								<td colspan="1" class="black_small">B. Total #  to Date</td>
							</tr>
							<tr>
								<td colspan="3" class="dotted_small"><i>C. Indicate Number of Civilians (Public Below):</i></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">D.Fatalities</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">Fatalities</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">Fatalities</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">E. With Injuries/Illness</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">WithInjuryOrIllness</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">WithInjuryOrIllness</xsl:with-param></xsl:call-template></td>
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">F. Trapped/In Need of Rescue</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">TrappedOrInNeedOfRescue</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">TrappedOrInNeedOfRescue</xsl:with-param></xsl:call-template></td>           
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">G. Missing </td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">Missing</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">Missing</xsl:with-param></xsl:call-template></td>           
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">H. Sheltering in Place </td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">ShelteringInPlace</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">ShelteringInPlace</xsl:with-param></xsl:call-template></td>           
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">I. Have Received Immunizations</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">ReceivedMassImmunizations</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">ReceivedMassImmunizations</xsl:with-param></xsl:call-template></td>           
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">J. Require Immunizations</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">RequireMassImmunizations</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">RequireMassImmunizations</xsl:with-param></xsl:call-template></td>           
							</tr>
							<tr>
								<td colspan="1" class="dotted_small">K. In Quarantine</td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCount"> <xsl:with-param name="Value">InQuarantine</xsl:with-param></xsl:call-template></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderSummaryCountToDate"> <xsl:with-param name="Value">InQuarantine</xsl:with-param></xsl:call-template></td>           
							</tr>
							<tr>
								<td colspan="1" class="dotted_small"><i> N. Total # Civilians (Public) Affected: </i></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderCountThisReportingPeriod"/></td>
								<td colspan="1" class="dotted_small"><xsl:call-template name="ResponderCountTotal"/></td>
							</tr>
						</table>
					</td>
				</tr>
				
				<tr>
					<td colspan="1" class="black"><b><font size="4">33. Life, Safety, and Health Status/Threat Remarks:</font></b>
						<br/><br/><xsl:call-template name="HumanLifeAndSafetyThreat"/></td>
					<td colspan="1" class="black" rowspan="2">
						<table class="default_small">
							<tbody>
								<tr>
									<td colspan="1" class="dotted_small"><font size="4"><b>34. Life, Safety, and Health Threat Management:</b></font></td>
									<td colspan="1" class="dotted_small"><font size="2">A. Check if Active</font></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">A. No Likely Threat</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">B. Potential Future Threat</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">C. Mass Notificatoins in Progress</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">D. Mass Notifications Completed</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">E. No Evacuation(s) Imminent</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">F. Planning for Evacuation</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">G. Planning for Shelter-In-Place</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">H. Evacuation(s) in Progress</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">I. Shelter-in-Place in Progress</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">J. Repopulation in Progress</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">K. Mass Immunizatoin in Progress</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">L. Mass Immunization Complete</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">M. Quarantine in Progress</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
								<tr>
									<td colspan="1" class="dotted_small">N. Area Restrction in Effect</td>
									<td colspan="1" class="dotted_small"><input type="checkbox"/></td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="1" class="black"><font size="4"><b>35. Weather concerns </b>(synopsis of current and predicted weather, discuss related factors that may caues concern);</font>
						<br/><br/><xsl:call-template name="WeatherConcerns"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black"><font size="4"><b>36. Projected Incident Activity, Potential, Movement, Escalation, or Spread</b> and influencing factors during the next operational period and in 12-,24-,48-,and 72-hour timeframes</font><br/>   
						<br/><br/><b>12 hours:</b> <xsl:call-template name="ProjectedIncidentActivity"><xsl:with-param name="Time">12</xsl:with-param></xsl:call-template>
						<br/><br/><b>24 hours:</b> <xsl:call-template name="ProjectedIncidentActivity"><xsl:with-param name="Time">24</xsl:with-param></xsl:call-template>
						<br/><br/><b>48 hours:</b> <xsl:call-template name="ProjectedIncidentActivity"><xsl:with-param name="Time">48</xsl:with-param></xsl:call-template>
						<br/><br/><b>72 hours:</b> <xsl:call-template name="ProjectedIncidentActivity"><xsl:with-param name="Time">72</xsl:with-param></xsl:call-template>
						<br/><br/><b>Anticipated After 72 hours:</b> <xsl:call-template name="ProjectedIncidentActivity"><xsl:with-param name="Time">72+</xsl:with-param></xsl:call-template>
						
					</td>
				</tr>
				
				<tr>
					<td colspan="2" class="black"><font size="4"><b>37. Strategic Objectives </b></font> (defined planned end-state for incident):<br/>   </td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">38. Current Incident Threat Summary and Risk Information in 12-, 24-,48-, and 72-hour timeframes and beyond.</font></b> Summarize primary incident threats to life, property, communities and community stability, residences, health care facilities, other critical infrastructure and key resources, commercial facilities, natural and environmental resources, cultural resources, and continuity of operations and/or business. Identify corresponding incidentrelated potential economic or cascading impacts.<br/>  
						<br/><br/><b>12 hours:</b> 
						<br/><br/><b>24 hours:</b> 
						<br/><br/><b>48 hours:</b> 
						<br/><br/><b>72 hours:</b> 
						<br/><br/><b>Anticipated After 72 hours:</b>   </td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">39. Critical Resource Needs </font></b> in 12-, 24-, 48-, and 72-hour timeframes and beyond to meet critical incidente objectives. List resource category, kind, and/or type, and amount needed, in priority order:<br/>  
						<br/><br/><b>12 hours:</b> <xsl:call-template name="CriticalResourceNeeds"><xsl:with-param name="Time">12</xsl:with-param></xsl:call-template>
						<br/><br/><b>24 hours:</b> <xsl:call-template name="CriticalResourceNeeds"><xsl:with-param name="Time">24</xsl:with-param></xsl:call-template>
						<br/><br/><b>48 hours:</b> <xsl:call-template name="CriticalResourceNeeds"><xsl:with-param name="Time">48</xsl:with-param></xsl:call-template>
						<br/><br/><b>72 hours:</b> <xsl:call-template name="CriticalResourceNeeds"><xsl:with-param name="Time">72</xsl:with-param></xsl:call-template>
						<br/><br/><b>Anticipated After 72 hours:</b> <xsl:call-template name="CriticalResourceNeeds"><xsl:with-param name="Time">72+</xsl:with-param></xsl:call-template>  </td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">40. Strategic Discussion: Explain the relation of overall strategy, constraints, and current available information to:  </font></b><br/> 
						&#9; 1) critical resource needs identified above,<br/>
						&#9; 2) the Incident Action Plan and magement objectives and targets,<br/>
						&#9; 3) anticipated results.<br/><br/>
						<b>Explain major problems and concerns such as operational challenges, incident management problems, and social, political, economic, or enviromental concerns or impacts.</b><br/><br/><xsl:call-template name="StrategicDiscussion"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">41. Planned Actions for Next Operational Period:</font></b>
						<xsl:call-template name="PlannedActions"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">42. Projected Final Incident Size/Area</font></b>(use unit label -- e.g., "sq mi"):
						<xsl:call-template name="ProjectedFinalIncidentSize"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">43. Anticipated Incident Management Completion Date:</font></b>(use unit label -- e.g., "sq mi"):	<xsl:call-template name="AnticipatedCompletionDate"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">44. Projected Significant Resource Demobilization Start Date:</font></b><xsl:call-template name="ProjectedDemobilizationStartDate"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">45. Estimated Incident Costs to Date:</font></b><xsl:call-template name="EstimatedCostsToDate"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black"><b><font size="4">46. Projected Final Incident Cost Estimate:</font></b>
						<xsl:call-template name="ProjectedFinalCosts"/></td>
				</tr>
				<tr>
					<td colspan="2" class="black" height="60"><b><font size="4">47. Remarks</font></b>(or continuation of any blocks above -- list block number in notation):</td>
				</tr>
			</table>			
			
			<b><i></i></b>
			<table class="default" align="center">
				<tr>
					<td class="noBorder" width="200"><b><i>Incident Resource Commitment Summary</i></b></td>
				</tr>
				
				<xsl:call-template name="ResourceTable"/>

				<tr>
					<td class="black_small" colspan="25" height="140"><font size="4"><b>53. Additional Cooperating and Assisting Organizations Not Listed Above:</b></font></td>
				</tr>
				
			</table>
			
		</body>
	</xsl:template>
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	<xsl:template name="ResidenceDestroyed">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Houses']">
					<xsl:if test="self::node()/ct:Value[text()='destroyed']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>	
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="ResidenceDamaged">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Houses']">
					<xsl:if test="self::node()/ct:Value[text()='damaged']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="ResidenceThreatened">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Houses']">
					<xsl:if test="self::node()/ct:Value[text()='threatened']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
		
	</xsl:template>  
	<xsl:template name="CommercialDestroyed">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Commercial']">
					<xsl:if test="self::node()/ct:Value[text()='destroyed']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>	
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CommercialDamaged">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Commercial']">
					<xsl:if test="self::node()/ct:Value[text()='damaged']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="CommercialThreatened">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Commercial']">
					<xsl:if test="self::node()/ct:Value[text()='threatened']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="OutbuildingDestroyed">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/MinorStructures']">
					<xsl:if test="self::node()/ct:Value[text()='destroyed']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>	
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="OutbuildingDamaged">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/MinorStructures']">
					<xsl:if test="self::node()/ct:Value[text()='damaged']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="OutbuildingThreatened">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/MinorStructures']">
					<xsl:if test="self::node()/ct:Value[text()='threatened']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	
	
	<xsl:template name="OtherDestroyed">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Other']">
					<xsl:if test="self::node()/ct:Value[text()='destroyed']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>	
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="OtherDamaged">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Other']">
					<xsl:if test="self::node()/ct:Value[text()='damaged']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="OtherThreatened">
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PropertyDamage/SitRep:PropertyDamage/ct:ValueKeyURI">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/Other']">
					<xsl:if test="self::node()/ct:Value[text()='threatened']">
						<xsl:value-of select="ancestor::node()/ct:PairValue"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	
	
	
	<xsl:template name="IncidentName">
		<xsl:for-each select="$XML">
			<xsl:for-each select="EDXL:EDXLDistribution">
				<xsl:for-each select="EDXL:contentObject">
					<xsl:for-each select="EDXL:xmlContent">
						<xsl:for-each select="EDXL:embeddedXMLContent">
							<xsl:for-each select="SitRep:SitRep">
								<xsl:for-each select="SitRep:Report">
									<xsl:for-each select="SitRep:IncidentName[child::text()]">
										<xsl:apply-templates/>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="IncidentID">
		<xsl:value-of select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:IncidentID"/>
	</xsl:template>
	
	<xsl:template name="IncidentStartDate">
		Date: <u>
			<xsl:variable  name="todate" select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:IncidentStartDateTime"/>
			<xsl:value-of select="substring($todate,0,11)"/>		
		</u> 
	</xsl:template>
	
	<xsl:template name="IncidentStartTime">
		Time: <u>
			<xsl:variable  name="todate" select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:IncidentStartDateTime"/>
			<xsl:value-of select="substring($todate,12,5)"/>		
		</u> 
	</xsl:template>
	
	<xsl:template name="IncidentTimeZone">
		Time Zone: <u>
			<xsl:variable  name="todate" select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:IncidentStartDateTime"/>
			<xsl:value-of select="substring($todate,20,6)"/>		
		</u> 
	</xsl:template>
	
	<xsl:template name="IncidentGeographicSize">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:GeographicSize/SitRep:IncidentGeographicSize"/>
	</xsl:template>
	
	<xsl:template name="PercentContained">
		<u>
			<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PercentContained"/>
		</u>    
	</xsl:template>
	
	<xsl:template name="IncidentType">
		<xsl:value-of  select="		$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:IncidentType/SitRep:IncidentType/ct:Value"/>
	</xsl:template>
	
	
	
	<xsl:template name="IncidentComplexity">
		<xsl:value-of  select="		$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:IncidentComplexity//SitRep:Complexity/ct:Value"/>
	</xsl:template>
	
	<xsl:template name="ToDateTime">
		
		<xsl:variable name="todate" select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:ForTimePeriod/ct:ToDateTime"/>
		<u>	<xsl:value-of select="substring($todate,0,11)"/>				</u>	
		<xsl:text>/</xsl:text>
		<u>	<xsl:value-of select="substring($todate,12,5)"/>		</u>	
	</xsl:template>
	
	<xsl:template name="FromDateTime">
		
		<xsl:variable name="totime" select="		$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:ForTimePeriod/ct:FromDateTime"/>
		<u><xsl:value-of select="substring($totime ,0,11)"/>		</u>	
		<xsl:text>/</xsl:text>
		<u><xsl:value-of select="substring($totime,12,5)"/></u>	
	</xsl:template>
	
	<xsl:template name="PreparedBy">
		<u>
			<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:PreparedBy/ct:PersonDetails/ciq:PersonName/ciq:NameElement"/>
		</u>
	</xsl:template>
	
	<xsl:template name="PreparerPositionTitle">
		<u>
			<xsl:variable name="prepareName"  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:PreparedBy/ct:PersonDetails/ciq:PersonName/ciq:NameElement"/>
			<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:OrganizationAndAssignments">
							<xsl:variable name="potentialName" select="self::node()/SitRep:PersonName/ciq:PersonName/ciq:NameElement[text()]"/>
					<xsl:if test="contains($prepareName,$potentialName)">
							<xsl:value-of select="self::node()/SitRep:PositionTitle/ct:PairValue"/>	<br/>
					
					</xsl:if>		
					

			</xsl:for-each>
		</u>
	</xsl:template>
	
	<xsl:template name="PreparedDateTime">
		<xsl:variable name="dateTime"  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:PreparedBy/ct:TimeValue"/>
		<u><xsl:value-of select="substring($dateTime,0,11)"/>		</u>	
		<xsl:text>/</xsl:text>
		<u><xsl:value-of select="substring($dateTime,12,5)"/></u>	
		
	</xsl:template>
	
	<xsl:template name="ApprovedBy">
		<u>
			<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:AuthorizedBy/ct:PersonDetails/ciq:PersonName/ciq:NameElement"/>
		</u>
	</xsl:template>
	
	<xsl:template name="ApproverPositionTitle">
		<u>
			<xsl:variable name="authorizerName"  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:AuthorizedBy/ct:PersonDetails/ciq:PersonName/ciq:NameElement"/>
			<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:OrganizationAndAssignments">
				<xsl:variable name="potentialName" select="self::node()/SitRep:PersonName/ciq:PersonName/ciq:NameElement[text()]"/>
							<xsl:if test="contains($authorizerName,$potentialName)">
							<xsl:value-of select="self::node()/SitRep:PositionTitle/ct:PairValue"/>	<br/>
					
					</xsl:if>		
				
			</xsl:for-each>
		</u>
	</xsl:template>
	
	<xsl:template name="ApprovedDateTime">
		
		<xsl:variable name="dateTime"  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:AuthorizedBy/ct:TimeValue"/>
		<u><xsl:value-of select="substring($dateTime,0,11)"/>		</u>	
		<xsl:text>/</xsl:text>
		<u><xsl:value-of select="substring($dateTime,12,5)"/></u>	
		
	</xsl:template>
	
	<xsl:template name="PrimaryHazards">
		
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:PrimaryHazards"/>
		
		
	</xsl:template>
	
	<xsl:template name="SignifcantEvents">
		
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:SignificantEvents">
			<xsl:for-each select="ct:Value"> ,
				<xsl:apply-templates/>
			</xsl:for-each>
		</xsl:for-each>
		
	</xsl:template>
	
	<xsl:template name="ResponderSummaryCount">
		<xsl:param name="Value" />
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:CasualtyAndIllnessCountCategory/SitRep:ResponderSummaryCount">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/CasualtyAndIllnessCountCategory']">
					<xsl:if test="self::node()/ct:Value[text()=$Value]">
						<xsl:value-of select="ancestor::node()/SitRep:ResponderSummaryCount"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="ResponderSummaryCountToDate">
		<xsl:param name="Value" />
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:CasualtyAndIllnessCountCategory/SitRep:ResponderSummaryCountToDate">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/CasualtyAndIllnessCountCategory']">
					<xsl:if test="self::node()/ct:Value[text()=$Value]">
						<xsl:value-of select="ancestor::node()/SitRep:ResponderSummaryCountToDate"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="NonResponderSummaryCount">
		<xsl:param name="Value" />
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:CasualtyAndIllnessCountCategory/SitRep:NonResponderSummaryCount">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/CasualtyAndIllnessCountCategory']">
					<xsl:if test="self::node()/ct:Value[text()=$Value]">
						<xsl:value-of select="ancestor::node()/SitRep:NonResponderSummaryCount"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="NonResponderSummaryCountToDate">
		<xsl:param name="Value" />
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:CasualtyAndIllnessCountCategory/SitRep:NonResponderSummaryCountToDate">
			<xsl:choose>
				<xsl:when test="self::node()/ct:ValueListURI[text()='http://icnet.mitre.org/ValueLists/SitRep/CasualtyAndIllnessCountCategory']">
					<xsl:if test="self::node()/ct:Value[text()=$Value]">
						<xsl:value-of select="ancestor::node()/SitRep:NonResponderSummaryCountToDate"/>
					</xsl:if>
				</xsl:when>
			</xsl:choose>		
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="NonResponderCountThisReportingPeriod">
		<xsl:value-of select="sum($XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:NonResponderSummaryCount)"/>
	</xsl:template>
	
	<xsl:template name="NonResponderCountTotal">
		<xsl:value-of select="sum($XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:NonResponderSummaryCountToDate)"/>
	</xsl:template>
	
	<xsl:template name="ResponderCountThisReportingPeriod">
		<xsl:value-of select="sum($XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:ResponderSummaryCount)"/>
	</xsl:template>
	<xsl:template name="ResponderCountTotal">
		<xsl:value-of  select="sum($XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SummaryCount/SitRep:ResponderSummaryCountToDate)"/>
	</xsl:template>
	
	<xsl:template name="HumanLifeAndSafetyThreat">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:HumanLifeAndSafetyThreat"/>
	</xsl:template>
	<xsl:template name="WeatherConcerns">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:WeatherEffects/ct:WeatherConcerns"/>
	</xsl:template>
	
	<xsl:template name="ProjectedIncidentActivity">
		<xsl:param name="Time" />
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:ProjectedIncidentActivity">
			
			<xsl:if test="self::node()/ct:PairValue[text()=$Time]">
				<xsl:value-of select="self::node()/ct:ValueKeyURI/ct:Value[text()]"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="CriticalResourceNeeds">
		<xsl:param name="Time" />
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:CriticalResourceNeeds">
			
			<xsl:if test="self::node()/ct:PairValue[text()=$Time]">
				<xsl:value-of select="self::node()/ct:ValueKeyURI/ct:Value[text()]"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	
	<xsl:template name="PlannedActions">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:PlannedActions"/>
	</xsl:template>
	<xsl:template name="ProjectedFinalIncidentSize">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:ProjectedFinalIncidentSize"/>
	</xsl:template>
	
	<xsl:template name="AnticipatedCompletionDate">
		<xsl:variable name="todate"  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:AnticipatedCompletion/SitRep:AnticipatedCompletionDate"/>
		<xsl:value-of select="substring($todate,0,11)"/>	  
	</xsl:template>
	
	<xsl:template name="ProjectedDemobilizationStartDate">
		<xsl:variable name="todate"  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:ProjectedDemobilzation/SitRep:ProjectedDemobilizationStartDate"/>
		<xsl:value-of select="substring($todate,0,11)"/>	  
	</xsl:template>
	
	
	<xsl:template name="EstimatedCostsToDate">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:EstimatedCosts/SitRep:EstimatedCostsToDate"/>
	</xsl:template>
	
	
	
	<xsl:template name="ProjectedFinalCosts">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:ProjectedCosts/SitRep:ProjectedFinalCosts"/>
	</xsl:template>
	
	<xsl:template name="StrategicDiscussion">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:DecisionSupportInformation/SitRep:StrategicDiscussion"/>
	</xsl:template>
	
	
	<xsl:template name="DamageAssessmentInformation">
		<xsl:value-of  select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:SituationSummary/SitRep:DamageAssessmentInformation"/>
	</xsl:template>
	
	<xsl:template name="row">
		<tr>
			<td width="15%" class="black_small" ></td>
			<td width="70%"  class="invis">
				<table class="default_small" align="center">
					<tr>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
					</tr>
					<tr>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
						<td class = "dotted_small" colspan="1">&#160;</td>
					</tr> 
				</table>
			</td>
			<td width="5%" class="black_small" ></td>
			<td width="10%" class="black_small" ></td>
		</tr>
	</xsl:template>
	
	<xsl:template name="ResourceTable">
		
		<!--Header-->
		<tr>
					<td width="15%" class="black_small"><b><font size="4">48. Agency or Organization</font></b></td>
					<td width="70%"  class="black_small" >
						<table cellspacing="0" class="default_small">
							<tbody>
								<tr>
									<td class="black_small" colspan="21"><b><font size="4">	49. Resources</font></b> (summarize resources by category, kind, and/or type: show # of resources on top 1/2 of box, show # of personnel associated with resource on bottom 1/2 of box):</td>
								</tr>
								<tr>
									
								</tr>
							</tbody>
						</table>
					</td>
					<td width="5%"  class="black_small"><div style="verticaltext"><b><font size="4">50. Additional Personnel</font></b> not assigned to a resource:</div></td>
					<td width="10%"   class="black_small" ><b><font size="4">51. Total Personnel</font></b> (includes those associated with resources -e.g., airraft or engines <i>and</i> individual overhead):</td>
				</tr>
		
		<!--Body-->
		<xsl:for-each select="$XML/EDXL:EDXLDistribution/EDXL:contentObject/EDXL:xmlContent/EDXL:embeddedXMLContent/SitRep:SitRep/SitRep:Report/SitRep:ResourceTotal">
			<xsl:sort select="SitRep:Resource/SitRep:AgencyOrganization"/>
				<tr>
					<td width="15%" class="black_small"><b><font size="4"><xsl:value-of select="SitRep:Resource/SitRep:AgencyOrganization" /></font></b></td>
					<td width="70%"  class="black_small" >
						<table cellspacing="0" class="default_small">
							<tbody>
								<tr>
									<td  rowspan="2" ><b><font size="4"><xsl:value-of select="SitRep:Resource/SitRep:ResourceName" /></font></b></td>
									<td class="dotted_small" ><font size="4"><xsl:value-of select="SitRep:Resource/SitRep:ResourceDetail/SitRep:ResourceOnHandCount" /></font></td>
								</tr>
								<tr>
									<td class = "dotted_small" >&#160;</td>
								</tr>
							</tbody>
						</table>
					</td>
					<td width="5%"  class="black_small"></td>
					<td width="10%"   class="black_small" ></td>
				</tr>
		</xsl:for-each>
		
		<xsl:call-template name="row"/>
	</xsl:template>
</xsl:stylesheet>
